FlexHub Forum

FlexHub Support (other languages) => Italian support => Novità => Topic started by: massi on October 18, 2013, 07:49:49

Title: Flexhub Beta 0.2 svn 1466
Post by: massi on October 18, 2013, 07:49:49
È giunto il momento per un aggiornamento, che contiene alcune nuove funzionalità e un sacco di correzioni di bug.

Alcune modifiche sono state fatte per essere in grado di eseguire Flex sui dispositivi NAS x86 da Qnap e Synology, e ancora per poter mantenere la stessa linea di sviluppo. I loro pacchetti saranno rilasciati presto, e conterranno questa stessa versione svn.

La lista delle modifiche apportate:
Code: [Select]
svn 1466
* changed : !topic now has -s (silent) option
* changed : !ipinfo history is now sorted by IP and logintime
* changed : !allow and !override can now use * to allow/override for all profiles
* changed : !unblock * <blocktype> Remove all blocks of a certain type. Blocktypes: mute,kenny,muppet,connects,pm
* changed : CreateCertificate will not use 'sudo' on Synology and QNAP NAS devices (uses root)
* changed : charset conversion modified to fix conversion problems on Linux-based NAS devices
+ added : commandline parameter --storagedir, this is a main folder containing folders: logs,settings,import,backup / overrides logdir and configdir parameters (logdir and configdir may be deprecated later)
+ added : commandline parameter --device, default = "pc", Synology NAS = "synox86", QNAP = "qnapx86"
+ added : !setredirects * <address>  To set a redirect addresses for all types, or use main,full,minshare etc. instead of * to set it for specific types.
+ added : !set regme_msg <msg> To set a configurable message as response to !regme -h
+ added : !set threadchecker <true/false>   Enables the threadchecker, disabled due to too many false positives in svn 1417, enable it for debugging if your hub freezes occasionally.
- fixed : removed reconnection timeout once when user is redirected because ADC or NMDC is disabled, for instant reconnection to the other protocol in same hub
- fixed : Hub would crash when closing the hubsoft with Gui (x in topright or ALT-F4) is cancelled in confirmation dialog, and then hubsoft is closed again
- fixed : mixup in mutexes for timer function could make the hub crash or lockup when some timers were running in their own thread
- fixed : bug when trying to restart a thread that ran too long
- fixed : !regme -h bug
- fixed : tiny char conv issue in update check made it send the report in main instead of feed room for some settings
- fixed : webstats issue with total sharesize > 200Tb
- fixed : paths for logdir, configdir can now be absolute paths outside of the FlexHub folder
- fixed : account import from GUI
- fixed : in Hub-Start.lua made the hub crash on errors; Error: ./core/Hub-Start.lua:129: attempt to concatenate a boolean value
- fixed : FilterPass ran twice on each msg to feed
- fixed : change to socketkiller to prevent errors when a socket/client closes unexpected
- fixed : NMDC bad handling of $SR that contained an endpipe in filepath
- fixed : ADC Now blocking commands from client: GPA, ZON, ZOF, SID
- fixed : ADC SID and state validation for unknown message types
- fixed : ADC H,I and U messages from client will now trigger a wrongprotocol_action
- fixed : ADC INF SU fields from client were added incrementally instead of replaced
- fixed : ADC too quick reconnecting could result in a < > TL message in mainchat
- fixed : ADC INF field VE from hub now includes current svn version on connect

NOTA : per il riavvio degli hub quando si eseguono più FlexHubs , si dovrà fare in modo che i file con cui si avviano gli l'hub, debbano avere un nome unico! . Per Windows questo significa rinominare sia FlexHub.lua e FlexHub.exe (sia il . Exe e il .Lua devono avere lo stesso nome però) , per Linux questo significa rinominare solo FlexHub.lua . Così, per esempio in Windows : rinominare FlexHub.lua a FlexHub1.lua e FlexHub.exe a FlexHub1.exe.

NOTA : Linux - versione nogui ha bisogno del file: bit.so nella cartella lib-FlexHub , disponibili nell'archivio Linux nella sezione download, se non lo avete già. Il team FlexHub attualmente non supporta o fornisce versioni x64 di Linux.

NOTA : Dopo l'hub vi dirà se ha bisogno di un riavvio o se si può semplicemente utilizzare !rs ( script reload ) invece di !update now. Se il percorso contiene spazi FlexHub.exe l'hub dovrà essere avviato manualmente una volta se era in esecuzione svn 1108 o versioni precedenti prima di aggiornare, una corretta script di riavvio ( per l'uso con il riavvio ! ) Sarà creato solo su avvio manuale .

Spero che potrete godere di questa nuova versione, se si esegue in problemi con esso, fateci sapere . E se funziona bene, potete farci sapere ugualmente. Il Vostro feedback è molto apprezzato!

Cordiali saluti , il team di FlexHub